org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.VertexPropertyFunctionalityTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.VertexPropertyFunctionalityTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.VertexPropertyFunctionalityTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexPropertyFunctionalityTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse()`
    `void` | `shouldSupportIdenticalMultiPropertyIfTheSameKeyCanBeAssignedSameValueMoreThanOnce()`
    `void` | `shouldSupportMetaPropertyIfPropertiesCanBePutOnProperties()`
    `void` | `shouldSupportMetaPropertyIfPropertiesCanBePutOnPropertiesViaVertexProperty()`
    `void` | `shouldSupportMetaPropertyIfPropertiesHaveAnIteratorViaVertexProperty()`
    `void` | `shouldSupportMultiPropertyIfTheSameKeyCanBeAssignedMoreThanOnce()`
    `void` | `shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph()`
    `void` | `shouldSupportRemovePropertyIfAPropertyCanBeRemoved()`
    `void` | `shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph()`
    `void` | `shouldSupportUserSuppliedIdsIfAnIdCanBeAssigned()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeAny()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeNumericInt()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeNumericLong()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeString()`
    `void` | `shouldSupportUserSuppliedIdsOfTypeUuid()`
    `void` | `shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertexPropertyFunctionalityTest

          public VertexPropertyFunctionalityTest()

  - ### Method Detail

    - #### shouldSupportUserSuppliedIdsIfAnIdCanBeAssigned

          public void shouldSupportUserSuppliedIdsIfAnIdCanBeAssigned()
                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse

          public void shouldNotAllowAnyIdsIfUserSuppliedIdsIsFalse()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeString

          public void shouldSupportUserSuppliedIdsOfTypeString()
                                                        throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeNumericInt

          public void shouldSupportUserSuppliedIdsOfTypeNumericInt()
                                                            throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeNumericLong

          public void shouldSupportUserSuppliedIdsOfTypeNumericLong()
                                                             throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeUuid

          public void shouldSupportUserSuppliedIdsOfTypeUuid()
                                                      throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUserSuppliedIdsOfTypeAny

          public void shouldSupportUserSuppliedIdsOfTypeAny()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph

          public void shouldSupportStringIdsIfStringIdsAreGeneratedFromTheGraph()
                                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph

          public void shouldSupportUuidIdsIfUuidIdsAreGeneratedFromTheGraph()
                                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph

          public void shouldSupportNumericIdsIfNumericIdsAreGeneratedFromTheGraph()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldSupportRemovePropertyIfAPropertyCanBeRemoved

          public void shouldSupportRemovePropertyIfAPropertyCanBeRemoved()
                                                                  throws Exception

      Throws:
        `Exception`

    - #### shouldSupportIdenticalMultiPropertyIfTheSameKeyCanBeAssignedSameValueMoreThanOnce

          public void shouldSupportIdenticalMultiPropertyIfTheSameKeyCanBeAssignedSameValueMoreThanOnce()
                                                                                                 throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMultiPropertyIfTheSameKeyCanBeAssignedMoreThanOnce

          public void shouldSupportMultiPropertyIfTheSameKeyCanBeAssignedMoreThanOnce()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMetaPropertyIfPropertiesCanBePutOnProperties

          public void shouldSupportMetaPropertyIfPropertiesCanBePutOnProperties()
                                                                         throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMetaPropertyIfPropertiesCanBePutOnPropertiesViaVertexProperty

          public void shouldSupportMetaPropertyIfPropertiesCanBePutOnPropertiesViaVertexProperty()
                                                                                          throws Exception

      Throws:
        `Exception`

    - #### shouldSupportMetaPropertyIfPropertiesHaveAnIteratorViaVertexProperty

          public void shouldSupportMetaPropertyIfPropertiesHaveAnIteratorViaVertexProperty()
                                                                                    throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.